import { FillLayer, GeoJSONSourceRaw, ImageSourceRaw, Map, RasterLayer } from 'mapbox-gl';
import { FeatureCollection } from 'geojson';
import { ImagePosition } from './types';
declare class IImage {
    id: string;
    url: string;
    width: number;
    height: number;
    position: ImagePosition;
    loadFile(file: File): Promise<unknown>;
    loadUrl(url: string): Promise<unknown>;
    setInitialPosition(map: Map): void;
    get coordinates(): number[][];
    get asPolygon(): FeatureCollection;
    get asPoints(): FeatureCollection;
    get imageSource(): {
        id: string;
        source: ImageSourceRaw;
    };
    get polygonSource(): {
        id: string;
        source: GeoJSONSourceRaw;
    };
    get cornersSource(): {
        id: string;
        source: GeoJSONSourceRaw;
    };
    get rasterLayer(): RasterLayer;
    get fillLayer(): FillLayer;
    get ratio(): number;
    getOppositePoint(index: number): number;
}
export default IImage;
