import { MapMouseEvent } from 'mapbox-gl';
import Base from '../Base/Base';
import Button from '../Button/Button';
import IImage from './IImage';
import { EditMode, ImagePosition } from './types';
export default class ImageControl extends Base {
    button: Button;
    mapContainer: HTMLElement;
    fileInput: HTMLInputElement;
    images: IImage[];
    editMode?: EditMode;
    selectedImage?: IImage;
    movingOff?: () => void;
    transformOff?: () => void;
    constructor();
    insert(): void;
    onFileInputChange(): void;
    addImage(data: File | string, options?: {
        position?: ImagePosition;
    }): Promise<IImage>;
    drawImage(image: IImage): void;
    redraw(): void;
    onMapClick(event: MapMouseEvent): void;
    movingOn(): void;
    transformOn(): void;
    selectImage(id: string): void;
    deselectImage(): void;
    updateImageSource(position: ImagePosition): void;
    keyDownListener(event: KeyboardEvent): void;
    onAddControl(): void;
}
